package com.boman.common.core.enums;

/**
 * @author tjf
 * @Date: 2021/05/24/11:16
 */
public enum MiniAppProperties {
    //https://api.weixin.qq.com/sns/oauth2/access_token?
    // appid=APPID&
    // secret=SECRET&
    // code=CODE&
    // grant_type=authorization_code
    WeChat("https://api.weixin.qq.com/sns/oauth2/access_token?appid=","WeChat","","","","authorization_code");

    private final String platForm;
    private final String url;
    private final String appId;
    //应用密钥AppSecret，在微信开放平台提交应用审核通过后获得
    private final String secret;
    private final String code;
    private final String grantType;

    MiniAppProperties(String platForm, String url, String appId, String secret, String code, String grantType) {
        this.platForm = platForm;
        this.url = url;
        this.appId = appId;
        this.secret = secret;
        this.code = code;
        this.grantType = grantType;
    }

    public String getPlatForm() {
        return platForm;
    }

    public String getUrl() {
        return url;
    }

    public String getAppId() {
        return appId;
    }

    public String getSecret() {
        return secret;
    }

    public String getCode() {
        return code;
    }

    public String getGrantType() {
        return grantType;
    }
}
